# GoogleLineChart Class Reference

Inheritance diagram for GoogleLineChart:
[legend]

List of all members.

## Public Member Functions

| __construct ()
| addLine (GoogleChartLine $line)
| setLegendPosition (GoogleChartLegendPositionType $type)
| addAxis (GoogleChartAxis $axis)
| toString ()

## Static Public Member Functions

static | create ()

## Protected Attributes

| $axesCollection = null
| $style = null
| $labelStyle = null

## Detailed Description

Definition at line 15 of file GoogleLineChart.class.php.

## Constructor & Destructor Documentation

GoogleLineChart::__construct | ( |  | ) |

Reimplemented from GoogleChart.

Reimplemented in GoogleNormalizedLineChart.

Definition at line 29 of file GoogleLineChart.class.php.

References GoogleChartLegendPositionType::BOTTOM, GoogleChartDataTextEncoding::create(), GoogleChartLegendPositionType::create(), create(), and GoogleChartType::LINE.

Here is the call graph for this function:

## Member Function Documentation

GoogleLineChart::addAxis | ( | GoogleChartAxis $ | axis | ) |

Returns:
  GoogleLineChart

Definition at line 91 of file GoogleLineChart.class.php.

GoogleLineChart::addLine | ( | GoogleChartLine $ | line | ) |

Returns:
  GoogleLineChart

Definition at line 61 of file GoogleLineChart.class.php.

References $labelStyle, $style, GoogleChartPiece::getColor(), GoogleChartLine::getLabelStyle(), GoogleChartLine::getStyle(), GoogleChartPiece::getTitle(), and GoogleChartPiece::getValue().

Here is the call graph for this function:

static GoogleLineChart::create | ( |  | ) | `[static]`

Returns:
  GoogleLineChart

Reimplemented from GoogleChart.

Reimplemented in GoogleGridedLineChart, and GoogleNormalizedLineChart.

Definition at line 24 of file GoogleLineChart.class.php.

Referenced by __construct().

GoogleLineChart::setLegendPosition | ( | GoogleChartLegendPositionType $ | type | ) |

Returns:
  GoogleLineChart

Definition at line 81 of file GoogleLineChart.class.php.

GoogleLineChart::toString | ( |  | ) |

Reimplemented from GoogleChart.

Reimplemented in GoogleGridedLineChart.

Definition at line 98 of file GoogleLineChart.class.php.

## Member Data Documentation

GoogleLineChart::$axesCollection = null`[protected]`

Definition at line 17 of file GoogleLineChart.class.php.

GoogleLineChart::$labelStyle = null`[protected]`

Definition at line 19 of file GoogleLineChart.class.php.

Referenced by addLine().

GoogleLineChart::$style = null`[protected]`

Definition at line 18 of file GoogleLineChart.class.php.

Referenced by addLine().

The documentation for this class was generated from the following file:

- main/Charts/Google/GoogleLineChart.class.php